<template>
    <div>
        <form class="login-form" @submit.prevent="handleSubmit">
        <input type = "text" placeholder="Username" v-model="username">
        <input type = "password" placeholder="Password" v-model="pass">
        <button type="submit">Login</button>
        </form>
    </div>
</template>
<script>
import {httpClient} from "../main"

export default {
    data() {
        return {
            username : '',
            pass : ''
        }
        
    },
    methods: {
        handleSubmit(){
            const data = {
                naziv: this.username,
                sifra: this.pass
            }
            console.log(httpClient.post, 'eqwe')
            // httpClient.httpClient.post(data)
            httpClient.post("/loginasres",data);
            
        }
    }
}
</script>
<style scoped>
.login-form{
    display: block;
}
</style>
